# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'gummi/version'

Gem::Specification.new do |spec|
  spec.name          = "gummi"
  spec.version       = Gummi::VERSION
  spec.authors       = ["bukowskis"]
  spec.description   = %q{A small wrapper around Elasticsearch}
  spec.summary       = %q{A small wrapper around Elasticsearch}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/) - ['.travis.yml']
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency 'virtus'
  spec.add_dependency 'elasticsearch', '~> 1.0.12'
  spec.add_dependency 'activesupport', '>= 3.0'
  spec.add_dependency 'hooks', '~>0.4.1'
  spec.add_dependency 'leaflet'
  spec.add_dependency 'hashie'

  spec.add_development_dependency('bundler', '~> 1.3')
  spec.add_development_dependency('pry')
  spec.add_development_dependency('activemodel', '~> 3.0.20')

  spec.add_development_dependency('rake')
  spec.add_development_dependency('rspec')
end
