# example db model

module DB
  class Person
    include Gummi::DbLayer::Document

    attribute :name,          Gummi::DbLayer::Fields::String
    attribute :computed_name, Gummi::DbLayer::Fields::String
    attribute :born_at,       Gummi::DbLayer::Fields::Time

    def computed_name
      name.upcase if name
    end
  end
end
