# Various attribute field types

require 'db/boat'

module DB
  class Ship
    include Gummi::DbLayer::Document

    attribute :name,        Gummi::DbLayer::Fields::String
    attribute :tags,        Gummi::DbLayer::Fields::Keyword
    attribute :category,    Gummi::DbLayer::Fields::PathHierarchy
    attribute :height,      Gummi::DbLayer::Fields::PositiveInteger
    attribute :unsinkable,  Gummi::DbLayer::Fields::Boolean
    attribute :freetext,    Gummi::DbLayer::Fields::NgramAndPlain
    attribute :boat,        Boat

  end
end
